DTMFDECODE(1)

NAME
dtmfdecode - decodes DTMF tones from A-law audio data

SYNOPSIS
dtmfdecode

DESCRIPTION
dtmfdecode is part of the isdn4bsd package and is used to detect DTMF tones in the audio stream.

It reads audio G.711 A-law coded data from stdin and outputs the detected numbers values as ASCII characters to stdout.

The detector is implemented as 8 narrow band-pass filters realized with an integer double-cross recursive algorithm. Various ad-hoc methods are employed to provide hysteresis and anti-bounce for the detected signals.

EXAMPLES
The command:

    dtmfdecode  beep.al

will print a "1" to stdout.

STANDARDS
ITU Recommendations G.711

AUTHORS
The dtmfdecode utility was written by Poul-Henning Kamp <phk@freebsd.org>. This man page was written by Hellmuth Michaelis <hm@freebsd.org>.